<app-auth-header></app-auth-header>
<!-- <h3>Routing Component</h3> -->


<div style="margin-top: 103px;margin-left: 10px;">
	<p>
		<button type="button" class="btn btn-primary btn-sm" (click)="selectTab(1)">Select second tab</button>
		<button type="button" class="btn btn-primary btn-sm" (click)="selectTab(2)">Select third tab</button>
	</p>
	<tabset #staticTabs>
		<tab heading="<RouterOutlet>">
			<div style="height: 450px; background: #c7c7c7;color:#fff; width: 100%;">
				<nav>
					<h3 style="padding:5px"><a [routerLink]="['/teacher/teacherInfo']" style="color:#000;font-size: 19px;" (click)="tab1=true;tab2=false;tab3=false;">Redirect Me to Teacher Info component</a></h3>
				</nav>
				<router-outlet *ngIf="tab1"></router-outlet>
			</div>
		</tab>
		<tab heading="RouteParams">
			<div style="height: 450px; background: #c7c7c7;color:#fff; width: 100%;">
				<nav>
					<h3><a [routerLink]="['/teacher/teacherDetail','Anju']" style="color:#000;font-size: 19px;" (click)="tab2=true;tab1=false;tab3=false;">Pass parameter value to Teacher Detail Component = Anju</a>	</h3>				
				</nav>
				<router-outlet *ngIf="tab2"></router-outlet>
			</div>
		</tab>
		<tab heading="Route Query Params">
			<div style="height: 450px; background: #c7c7c7;color:#000; width: 100%;">
				<nav>					
					<h3><a [routerLink]="['/teacher/teacherDetail-1']" [queryParams]="{name: 'Anju', id : 'A1'}" style="color:#000;font-size: 19px;" (click)="tab3=true;tab1=false;tab2=false">Pass Query Params to Teacher Detail -1 Component =[ username: Anju, id: A1 ]  </a></h3>
				</nav>
				<router-outlet *ngIf="tab3"></router-outlet>
			</div>
		</tab>
	</tabset>
</div>